
using System;

public class Arc
{
    public Triple<Couple<ModuleModel, ModuleModel>, Couple<int, int>, Couple<int, int>> arc;
    public Arc(ModuleModel m1, ModuleModel m2, int x1, int y1, int x2, int y2)
    {
        this.arc = new Triple<Couple<ModuleModel, ModuleModel>, Couple<int, int>, Couple<int, int>>(
            new Couple<ModuleModel, ModuleModel>(m1, m2),
            new Couple<int, int>(x1, y1),
            new Couple<int, int>(x2, y2)
            );
    }

    internal ModuleModel getModuleLinkedTo(ModuleModel start)
    {
        if (this.arc.a.a == start) return this.arc.a.b;
        else return this.arc.a.a;
    }
}